ru.bitel.oss.kernel.directories.address.server.bean

## Class StreetDao

- java.lang.Object
- - ru.bitel.common.dao.AbstarctDaoConstant
  - - ru.bitel.common.dao.AbstractDao<B>
    - - ru.bitel.common.dao.AbstractIdDao<B>
      - - ru.bitel.oss.kernel.directories.address.server.bean.StreetDao

- All Implemented Interfaces:
    java.lang.AutoCloseable, Directory<Street>

      public class StreetDao
      extends ru.bitel.common.dao.AbstractIdDao<B>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

      `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.dao.AbstractDao

      `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, mid, moduleId, orderByPattern, tableName`

    - ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `ERROR, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreetDao(java.sql.Connection con)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `B` | `get(java.lang.String title)` Получение элемента по title(name) Может быть не имплементировано - в этом случае бросается `UnsupportedOperationException`
    `protected B` | `getFromRS(java.sql.ResultSet rs)`
    `java.lang.String` | `getPostIndex(int streetId)`
    `java.util.List<B>` | `list()` Получение всего списка элементов из справочника
    `java.util.List<B>` | `list(int cityId, java.lang.String title)`
    `protected Street` | `newBean()`
    `java.util.List<Street>` | `search(int cityId, java.lang.String title, java.lang.String cityTitle, Page page)`
    `protected void` | `updateImpl(B b)`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

      `delete, get, getAndDelete, getAndUpdate`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractDao

      `close, delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, processException, recycle, setStatementParam, update`

    - ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `getSQLOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.bgbilling.kernel.directory.api.common.bean.Directory

      `delete, get, update`

- - ### Constructor Detail

    - #### StreetDao

          public StreetDao(java.sql.Connection con)

  - ### Method Detail

    - #### newBean

          protected Street newBean()

    - #### getPostIndex

          public java.lang.String getPostIndex(int streetId)
                                        throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### search

          public java.util.List<Street> search(int cityId,
                                               java.lang.String title,
                                               java.lang.String cityTitle,
                                               Page page)
                                        throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getFromRS

          protected B getFromRS(java.sql.ResultSet rs)
                         throws java.sql.SQLException,
                                ru.bitel.bgbilling.common.BGException

      Specified by:
        `getFromRS` in class `ru.bitel.common.dao.AbstractDao<B extends IdTitle & CityItem>`
      Throws:
        `java.sql.SQLException`
        `ru.bitel.bgbilling.common.BGException`

    - #### updateImpl

          protected void updateImpl(B b)
                             throws ru.bitel.bgbilling.common.BGException,
                                    java.sql.SQLException

      Specified by:
        `updateImpl` in class `ru.bitel.common.dao.AbstractDao<B extends IdTitle & CityItem>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `java.sql.SQLException`

    - #### list

          public java.util.List<B> list()
                                 throws ru.bitel.bgbilling.common.BGException

      Description copied from interface: `Directory`
      Получение всего списка элементов из справочника
      Specified by:
        `list` in interface `Directory<B extends IdTitle & CityItem>`
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### get

          public B get(java.lang.String title)
                throws ru.bitel.bgbilling.common.BGException

      Description copied from interface: `Directory`
      Получение элемента по title(name) Может быть не имплементировано - в этом случае бросается `UnsupportedOperationException`
      Specified by:
        `get` in interface `Directory<B extends IdTitle & CityItem>`
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### list

          public java.util.List<B> list(int cityId,
                                        java.lang.String title)
                                 throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`